import { BroadcastChannel, BroadcastChannelOptions } from 'broadcast-channel';
import { UseRequestPlugin, UseRequestFetchState } from "@vue-hooks-plus/use-request/dist/types/types";
import Fetch from '@vue-hooks-plus/use-request/dist/types/Fetch';
type MessageType = UseRequestFetchState<any, any> & {
    type: string;
};
export interface BroadcastChannelType {
    broadcastChannel?: string;
    broadcastChannelKey?: string;
    broadcastChannelOptions?: BroadcastChannelOptions;
    customPostMessage?: (postMessage: (msg?: any) => Promise<void>, setFetchState?: Fetch<any, []>['setFetchState']) => void;
    onBroadcastChannel?: (value?: MessageType, channel?: BroadcastChannel, setFetchState?: Fetch<any, []>['setFetchState']) => void;
}
export declare const useBroadcastChannelPlugin: UseRequestPlugin<any, [], BroadcastChannelType>;
export {};
